> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Rebuild project

> POST /company/{companyId}/project/{projectId}/project-rebuild



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))



### Body: application/json (object)

- **newProjectId** (integer(int64))

- **files** (array[object])

- **scenarioConfiguration** (object)

- **requester** (string)

- **requesterCompanyName** (string)

- **aiTenantId** (string)



## Responses
### 200
OK

#### Body: */* (object)
- **id** (integer(int64))



[Powered by Bump.sh](https://bump.sh)
